#!/bin/sh

VERSION=11.1

PKGDMG="MacOSX-WS-${VERSION}"
PKGDIR="/Volumes/${PKGDMG}"
INSTALLER="MacOSX WorkShop start kit.pkg"
LICENSE="Resources/License-jp.rtf Resources/License-en.rtf"
README="Resources/ReadMe-jp.rtf Resources/ReadMe-en.rtf"

#CPMAC="/Developer/Tools/CpMac"
CPMAC="/usr/bin/CpMac"
#PMAKER="/Applications/Utilities/Auxiliary Tools/PackageMaker.app/Contents/MacOS/PackageMaker"
#PMAKER=/Developer/usr/bin/packagemaker

##
## clean {test,PKGDMG}.dmg
##

if [ -e "$INSTALLER" ]; then
	rm -rf "$INSTALLER"
fi
if [ -e test.dmg ]; then
	rm -f test.dmg
fi
if [ -e ${PKGDMG}.dmg ]; then
	rm -f ${PKGDMG}.dmg
fi

##
## create installer package
##

#"${PMAKER}" -v -o MacOSX\ WorkShop\ start\ kit.pkg \
#	-d ./MacOSX\ WorkShop\ start\ kit.pmdoc -e ./Resources
pkgbuild --root ./OSXWS/opt --identifier jp.acsioma.osxws --install-location /opt \
	--version ${VERSION} --scripts ./scripts OSXWS-${VERSION}.pkg

productbuild --distribution Distr.xml --package-path ./OSXWS-${VERSION}.pkg \
	--resources ./Resources "${INSTALLER}"
##
## create Disk Img
##

echo "Create Disk Img"
hdiutil create -size 20m -type UDIF -fs HFS+ -volname "${PKGDMG}" -layout NONE test.dmg
hdid test.dmg

##
## copy installer
##

echo "Copy installer"
#$CPMAC -r "${INSTALLER}" ${PKGDIR}
cp -a "${INSTALLER}" ${PKGDIR}
cp -p ${LICENSE} ${README} ${PKGDIR}

##
## compress Disk Img
##

echo "Compress Disk Img"
hdiutil eject `df | grep ${PKGDIR} | cut -f1 -d\ `
hdiutil convert -format UDZO -o ${PKGDMG}.dmg test.dmg
rm test.dmg

##
## create src package
##

echo "Create Source Package"
tar Jcf MacOSX-WS-${VERSION}.tar.xz Distr.xml *.sh Resources OSXWS scripts
